Subject: bug#61612: 28.2; Point jumping to next line on mouse click beyond end of line

From: Philipp Kiefer <[email-masked]>
Date: Sat, 18 Feb 2023 23:07:05 +0100

Org Mode maintainer has asked me to forward this to you as he does not 
think this is erratic behaviour is due to a bug in Org Mode.

Please peruse attached to reproduce a glitch that occurs with 
org-hide-emphasis-markers set to true. The screencast illustrates what 
happens in the sample file. The glitch (the pointer automatically 
dropping to the line below a heading rather than staying at the far 
right of the heading) seems to occur only when point is on a line below 
the mouse click location (the mouse is clicked in the empty space to the 
right of headlines) and it does not seem to happen for headings with 
children.

Thanks a lot